Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class SafeLinkedList.Node

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.SafeLinkedList.Node`

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Direct Known Subclasses:
  RecyclingLinkedList.Node

Enclosing class:
  SafeLinkedList

      protected static class SafeLinkedList.Node

extends Base
implements java.lang.Cloneable, java.io.Serializable

A Node in the List. Nodes are doubly-linked and store a value.

Field Summary
`protected SafeLinkedList.Node` | `m_nodeNext` The next Node in the List.
`protected SafeLinkedList.Node` | `m_nodePrev` The previous Node in the List.
`protected java.lang.Object` | `m_object` The value stored in the Node.

Constructor Summary
`SafeLinkedList.Node()` Construct a blank Node.
`SafeLinkedList.Node(java.lang.Object o)` Construct a Node with a value.

Method Summary
`java.lang.Object` | `clone()`
`protected void` | `delink()` Remove this Node from the List.
`protected java.lang.Object` | `discard()` Delink this Node and discard its value.
`boolean` | `equals(java.lang.Object that)` Compare this Node with an object for equality.
`boolean` | `equalsValue(java.lang.Object oThat)` Compare this Node's value with another value for equality.
`SafeLinkedList.Node` | `getNext()`
`java.lang.Object` | `getObject()`
`SafeLinkedList.Node` | `getPrevious()`
`protected void` | `linkAfter(SafeLinkedList.Node prev)` Add this Node to the List following the specified Node.
`protected void` | `linkBefore(SafeLinkedList.Node next)` Add this Node to the List preceding the specified Node.
`protected void` | `setObject(java.lang.Object o)`
`java.lang.String` | `toString()` Render the Node as a String.

Field Detail

### m_object

    protected java.lang.Object m_object

  The value stored in the Node.

### m_nodeNext

    protected SafeLinkedList.Node m_nodeNext

  The next Node in the List.

### m_nodePrev

    protected SafeLinkedList.Node m_nodePrev

  The previous Node in the List.

Constructor Detail

### SafeLinkedList.Node

    public SafeLinkedList.Node()

  Construct a blank Node.

### SafeLinkedList.Node

    public SafeLinkedList.Node(java.lang.Object o)

  Construct a Node with a value.
  Parameters:
    `o` - the value to store in the Node

Method Detail

### getObject

    public java.lang.Object getObject()

  Returns:
    the Node's Object value

### setObject

    protected void setObject(java.lang.Object o)

  Parameters:
    `o` - the new Object value for this Node

### getNext

    public SafeLinkedList.Node getNext()

  Returns:
    the Node that follows this Node or null

### getPrevious

    public SafeLinkedList.Node getPrevious()

  Returns:
    the Node that precedes this Node or null

### linkBefore

    protected void linkBefore(SafeLinkedList.Node next)

  Add this Node to the List preceding the specified Node.
  Parameters:
    `next` - the Node to add this Node before

### linkAfter

    protected void linkAfter(SafeLinkedList.Node prev)

  Add this Node to the List following the specified Node.
  Parameters:
    `prev` - the Node to add this Node after

### delink

    protected void delink()

  Remove this Node from the List.

### discard

    protected java.lang.Object discard()

  Delink this Node and discard its value.
  Returns:
    the value of this Node before it was discarded

### equals

    public boolean equals(java.lang.Object that)

  Compare this Node with an object for equality.
  Returns:
    true if the other object is a Node with an equal value

### equalsValue

    public boolean equalsValue(java.lang.Object oThat)

  Compare this Node's value with another value for equality.
  Returns:
    true if the specified object is equal to this Node's value

### toString

    public java.lang.String toString()

  Render the Node as a String.
  Returns:
    the details about this Node.

### clone

    public java.lang.Object clone()

  Returns:
    a Clone of this node

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.